﻿@model IEnumerable<Mango.Web.Models.ProductDTO>
<br />
<br />
<div class="container p-4 border">
    <div class="row pb-2">
        <div class="col">
            <h1 class="text-primary">Products List</h1>
        </div>
        <div class="col text-end pt-1">
            <a asp-action="ProductCreate" class="btn btn-outline-primary"><i class="fas fa-plus"></i> Create New Product</a>
        </div>
    </div>
    <table class="table">
        <thead>
            <tr>
                <th>Name</th>
                <th>Category Name</th>
                <th>Price</th>
                <th>Action</th>
            </tr>
        </thead>
        <tbody>
            @foreach(var item in Model)
            {
                <tr>
                    <td>@item.Name</td>
                    <td>@item.CategoryName</td>
                    <td>@(item.Price.ToString("c"))</td>
                    <td><a asp-action="ProductEdit" class="btn btn-success" asp-route-ProductId="@item.ProductId"><i class="fas fa-edit"></i></a>
                    <a asp-action="ProductDelete" class="btn btn-danger" asp-route-ProductId="@item.ProductId"><i class="fas fa-trash"></i></a></td>            
                </tr>
            }
        </tbody>
    </table>

</div>